%define Name gcc
%define Version 2.95.3

Name        	: gg-ppc-morphos-%{Name}
Version     	: %{Version}
Release     	: 1

Summary     	: Various compilers (C, C++, Objective-C, Chill, ...) for ppc-morphos.
Group       	: Development/Languages
Copyright   	: GPL
URL         	: http://gcc.gnu.org

Source0		: ftp://ftp.gnu.org/gnu/%{Name}/%{Name}-%{Version}.tar.gz
Patch0		: gg-%{Name}-%{Version}.patch
BuildRoot   	: /tmp/%{Name}-%{Version}

BuildRequires	: gg-texinfo, gg-libtool, gg-ppc-morphos-binutils >= 2.9.1, gg-ppc-morphos-ixemul-devel

Requires	: gg-ppc-morphos-binutils >= 2.9.1
Requires	: gg-gcc-common = %{version}-%{release}

%description
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

This package is for PowerPC MorphOS development.


%prep
%setup -q -n %{Name}-%{Version}
%patch0 -p1


%build
# Just plain optimizing, since these flags will be passed to the build cross
# compiler as well and the native one. Now if I only could figure out how to
# set XFCFLAGS to "%{optflags}" ....
CFLAGS="-O2"; export CFLAGS
%define _target_platform ppc-morphos
%configure --enable-languages			\
           --build=%{_build}			\
           --host=%{_host}
make all


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr (-,root,root)
%doc COPYING COPYING.LIB ChangeLog FAQ MAINTAINERS Product-Info README
%{_bindir}/ppc-morphos*
%{_libdir}/gcc-lib/ppc-morphos/%{Version}
%{_mandir}/man1/ppc-morphos*
%{_prefix}/ppc-morphos/*


%changelog
* Wed Oct  13 2001 Martin Blom <martin@blom.org>
- Initial release.

